# -*- encoding: utf-8 -*-
$:.push File.expand_path("../lib", __FILE__)
require 'shellac/version'

Gem::Specification.new do |s|
  s.name              = "shellac"
  s.version           = Shellac::VERSION
  s.description       = %q{Shellac gives you an environment aware helper for purging configured under config/varnish.yml built ontop of Max Schoefmann's klarlack gem}
  s.summary           = %q{Shellac is a gem to easily send purges to varnish servers from rails}
  s.email             = %q{marian@bitflut.com}
  s.homepage          = %q{http://github.com/bitflut/shellac}
  s.authors           = ['Marian Andre']
  s.license           = %q{MIT}
  
  s.files         = `git ls-files -- {shellac*,lib,spec,LICENSE.txt,README*,Gemfile}`.split("\n")
  s.test_files    = `git ls-files -- {test,spec,features}/*`.split("\n")
  s.executables   = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
  s.require_paths = ["lib"]

  s.add_dependency    'bundler',                    '~> 1.0'
  s.add_runtime_dependency        'klarlack', '~> 0.0.6'
  
  s.add_development_dependency    'rspec-rails', '~> 2.5'
  s.add_development_dependency    'rcov', ">= 0"
  s.add_development_dependency    'rails', '3.0.7.rc2'
  s.add_development_dependency    'sqlite3', '~> 0.0.6'

  s.files             = [
    '.gitignore',
    'LICENSE.txt',
    'README.rdoc',
    'Rakefile',
    'lib',
    'lib/generators',
    'lib/generators/shellac',
    'lib/generators/shellac/install_generator.rb',
    'lib/generators/templates',
    'lib/generators/templates/config',
    'lib/generators/templates/config/varnish.yml',
    'lib/shellac',
    'lib/shellac/actions.rb',
    'lib/shellac/cache.rb',
    'lib/shellac.rb',
    'shellac.gemspec',
    'spec',
    'spec/shellac_spec.rb',
    'spec/spec_helper.rb'
  ]
end
